Subject: [Editorial Errata Reported] RFC5952 (4986)

From: RFC Errata System <[email-masked]>
Date: Fri, 31 Mar 2017 08:52:11 -0700 (PDT)

The following errata report has been submitted for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5952&eid=4986

--------------------------------------
Type: Editorial
Reported by: Julian de Prado <[email-masked]>

Section: 2.2

Original Text
-------------
'A special syntax is available to compress the zeros. The use of
"::" indicates one or more groups of 16 bits of zeros.'

Corrected Text
--------------
'A special syntax is available to compress the zeros. The use of
"::" indicates two or more groups of 16 bits of zeros.'

Notes
-----
"indicates one" should be written as "indicates two"

 for example:
'A special syntax is available to compress the zeros. The use of
"::" indicates two or more groups of 16 bits of zeros.'

2001:db8:aaaa:bbbb:cccc::1

2001:db8:aaaa:bbbb:cccc:0:0:1

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Jan Zorz - Go6 <[email-masked]>
Date: Fri, 31 Mar 2017 18:07:24 +0200

> Original Text

Hi,

I don't agree with errata entirely.

2001:db8:aaaa:bbbb:cccc:dddd::1 expands to 2001:db8:aaaa:bbbb:cccc:dddd:0:1

So it's one or more groups of 16 bits of zeros.

Cheers, Jan Zorz

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Bob Hinden <[email-masked]>
Date: Fri, 31 Mar 2017 11:21:28 -0500

Hi,

> On Mar 31, 2017, at 10:52 AM, RFC Errata System <[email-masked]> wrote:
> 

That is not correct.  RFC4291, where the “::” syntax is defined, says in Section 2.2:

   2. Due to some methods of allocating certain styles of IPv6
      addresses, it will be common for addresses to contain long strings
      of zero bits.  In order to make writing addresses containing zero
      bits easier, a special syntax is available to compress the zeros.
      The use of "::" indicates one or more groups of 16 bits of zeros.
      The "::" can only appear once in an address.  The "::" can also be
      used to compress leading or trailing zeros in an address.

Bob